﻿using System;
using System.ComponentModel;
using System.Windows;

using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;

namespace XamGridSample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		public BindingList<Person> Persons
		{
			get { return DataSource.Persons; }
		}

		private void OnEditClick(object sender, RoutedEventArgs e)
		{
			CellControlBase cellControlBase = ((FrameworkElement)sender).Parent as CellControlBase;
			if (cellControlBase != null) {
				xamGrid.EnterEditMode((Row)cellControlBase.Cell.Row);
			}
		}
	}
}